<?php
/**
 * The template for displaying the "associats" associats with search capabilities 
 *
 * Template Name: Associats Cercador 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Xarxaprod_theme
 * @since 1.0
 */

get_header();
?>

<!-- page-templates associats-search-php -->
	<main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
    <section id="filteredassociats" class="xarxaprod-filtered-content xarxaprod-filtered-content xarxaprod-filtered-associats xarxaprod-associats-filtrats">
    
      <aside id="associatsfilter" class="xarxaprod-filter-associats xarxaprod-fitre-associats">
        <?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); if ( is_plugin_active( 'xarxaprod-wp-plugin/xarxaprod-wp-plugin.php' ) ) { // if plugin active do?> 
         <?php xarxaprod_associats_filters_form(); // function defined in the plugin ?>
        <?php  } //end if is_plugin_active ?>
      </aside>
  
  
       <content class="archive-posts archive-posts-map archive-xarxaprod-members archive-xarxaprod-associats <?php xarxaprod_class_posttype(); ?>">
      <?php
      // https://support.advancedcustomfields.com/forums/topic/wp_query-using-meta_query-for-an-acf-checkbox-field/#post-145830
      // https://www.advancedcustomfields.com/resources/checkbox/#query-posts
      // https://barn2.com/blog/querying-posts-by-custom-field-acfi/
  
      $the_query_associat = new WP_Query(
        array(
          'post_type'      => 'xarxaprod-associat',
          'order'          => 'ASC', //order a b c d ... 
          'order_by'       => 'name', // by name slug
          'posts_per_page' => '-1'   //all of them
        )
      ); 
      ?>
  
      <?php if ( $the_query_associat->have_posts() ) : ?>
        <figure id="espais-associats-map" class="xarxaprod-associats-map xarxaprod-espais-map">

          <?php xarxaprod_show_leaflet_map(); // function defined in the plugin ?>
     
          <?php while ( $the_query_associat->have_posts() ) : $the_query_associat->the_post(); ?>
  
            <?php xarxaprod_show_leaflet_associat_blob(); ?>

          <?php endwhile;//end of the loop ?>

        </figure>

      <?php
         // nuvol de nomb sde fabriques
         echo '<ul class="xarxaprod-label">';
         while ( $the_query_associat->have_posts() ) : $the_query_associat->the_post();
           echo '<li>';
             echo '<a href="';
             the_permalink();
             echo '" title="';
             the_title();
             echo '" rel="bookmark">';
             the_title();
             echo '</a>';
           echo '</li>';
         endwhile;
         echo '</ul>';
        ?>

        <?php wp_reset_postdata(); ?>
        <?php endif; //end query associat ?>
      </content> 
    </section>

  </main><!-- #main -->
<?php if ( is_active_sidebar( 'after-content-members' ) ):?>
<aside id="secondary" class="widget-area widget-area-members">
  <?php dynamic_sidebar( 'after-content-members' ); ?>
</aside><!-- #secondary -->
<?php endif; //end sidebar ?>

<?php
get_sidebar();
get_footer();
