<?php
/**
 * Template part for displaying associat post type
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Xarxaprod_theme
 */

?>
<!-- template-parts content-xarxaprod-associat-php -->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header><!-- .entry-header -->

	<main class="entry-content">

		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continua llegin<span class="screen-reader-text"> "%s"</span>', 'xarxaprod' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'xarxaprod' ),
				'after'  => '</div>',
			)
		);
		?>
	</main><!-- .entry-content -->
  <section class="xarxaprod-associat-info">
	  <section class="xarxaprod-associat-contact">
      <dt>&nbsp;</dt>
	    <ul class="xarxaprod-associat-contact-fields">
        <?php if( get_field('xxp_associat_address') ): ?>
	      <li class="xarxaprod-associat-address">
	      	<h6>Adreça:</h6>
          <p><?php the_field('xxp_associat_address'); ?></p>
	    	</li>
        <?php endif; ?>

	      <?php if( get_field('xxp_associat_mail') ): ?>
	      <li class="xarxaprod-associat-mail">
	      	<h6>Eail:</h6>
          <p><a href="mailto:<?php the_field('xxp_associat_mail'); ?>"><?php the_field('xxp_associat_mail'); ?></a></p>
	      </li>
        <?php endif; ?>

 	      <?php if( get_field('xxp_associat_web') ): ?>
	      <li class="xarxaprod-associat-web">
	      	<h6>Web:</h6>
	    		<p><a href="<?php the_field('xxp_associat_web'); ?>" class=""><?php the_field('xxp_associat_web') ;?></a></p>
	    	</li>
	    	<?php endif; ?>
	    	
	      <?php if( get_field('xxp_associat_tel') ): ?>
	      <li class="xarxaprod-associat-tel">
	      	<h6>Telèfon:</h6>
          <p><?php the_field('xxp_associat_tel'); ?></p>
	      </li>
	  		<?php endif; ?>
				
        <?php if( get_field('xxp_associat_xarxes') ): ?>
	      <li class="xarxaprod-associat-tel">
	      	<h6>Xarxes socials:</h6>
          <p><?php the_field('xxp_associat_xarxes'); ?></p>
	      </li>
	  		<?php endif; ?>
      </ul>
	  </section>

		<section class="xarxaprod-associat-services">
      <dt>Serveis</dt>
			<?php get_template_part( 
				'template-parts/section', 
				'list-checkbox', 
				array('iterate_field' => 'xxp_associat_service') 
			); ?>
	  </section>

	  <section class="xarxaprod-associat-logo">
	    <?php if( get_field('xxp_associat_logo') ): ?>
	    <figure class="xarxaprod-associat-logo">
        <img class="" src="<?php the_field('xxp_associat_logo'); ?>" />
	  	</figure>
      <?php endif; ?>
	  </section>
  </section>

	<?php if( have_rows('xxp_associat_gallery_images') ){ ?>
	<section class="xarxaprod-associat-gallery-images">
		<nav class="xarxaprod-associat-slides-nav">
		<?php while( have_rows('xxp_associat_gallery_images') ): the_row(); ?>
			<?php $image=get_sub_field('xxp_associat_image'); ?>
      <a href="#<?php echo acf_esc_html( $image['filename'] );?>">
				 <?php echo wp_get_attachment_image( $image['ID'], 'thumbnail' ); ?>
      </a>
		<?php endwhile; //end while has rows ?>
		</nav>
		<ul class="xarxaprod-associat-slides">
		<?php while( have_rows('xxp_associat_gallery_images') ): the_row(); ?>
			<?php $image=get_sub_field('xxp_associat_image'); ?>
		  <li id="<?php echo acf_esc_html( $image['filename'] );?>" class="xarxaprod-associat-image">
				 <?php //print_r( $image ); //echo the whole array ?>
				 <?php //print_r( $image['ID'] ); // echo one fiels of the array?>
				 <?php echo wp_get_attachment_image( $image['ID'], 'full' ); ?>
         <p class="caption"><?php //echo acf_esc_html( $image['caption'] );?></p>
      </li>
		<?php endwhile; //end while has rows ?>
    </ul>
	</section>
  <?php }; //end if xxp_associat_gallery_images ?>

	<section class="xarxaprod-associat-convos">
		<?php get_template_part( 'template-parts/section', 'last-convos' ); ?>
  </section>

	<section class="xarxaprod-associat-location">
	  <?php if( get_field('xxp_associat_osm_map') ): ?>
		<div class="xarxaprod-associat-osm-map">
			<h6 class="">Mapa:</h6>
			<figure class="xarxaprod-associats-map">
		  	<?php
		     xarxaprod_show_leaflet_map(); //defined in pluggin
         xarxaprod_show_leaflet_associat_blob(); //defined in pluggin
		    ?>
				<?php //the_field('xxp_associat_osm_map'); ?>
      </figure>
	  </div>
    <?php endif; ?>
	  <?php if( get_field('xxp_associat_osm_link') ): ?>
		<div class="xarxaprod-associat-osm-link">
      <h6 class="">Localizatcio:</h6><p> <a href="<?php the_field('xxp_associat_osm_link'); ?>" target="_blank" title="Obre openstreetmaps.org"><?php the_field('xxp_associat_osm_link'); ?></a></p>
	  </div>
    <?php endif; ?>
	</section>

	<footer class="entry-footer">
		<?php xarxaprod_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
